​
Select Service
ves-io-schema-forwarding_class-API-List
Published April 5, 2023 | Last modified October 28, 2026
Examples of listing forwarding_class
Usecase:
List forwarding_class
Request using vesctl:
vesctl configuration list forwarding_class --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: forwarding-class-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 4570878f-51ca-4c47-9c0e-bf6b17f047eaRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build3348201650_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/forwarding_classs'curl response
HTTP/1.1 200 OKContent-Length: 448Content-Type: application/jsonDate: Mon, 28 Sep 2026 04:25:16 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "forwarding-class-1", "uid": "4570878f-51ca-4c47-9c0e-bf6b17f047ea", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}